                                                                                                                                                                                                                      
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(nombre,correo_1,correo_2) {

	
	parent.document.formulario.ANombre.value=nombre;
	parent.document.formulario.Acorreo.value=correo_1;
	parent.document.formulario.Acorreo2.value=correo_2;


}


</script>

<body>
 <?php

	
	echo $cedula=$_GET["cedula"];
	$cedtip=$_GET["cedtip"];
	
	
	
//Se debe defirnir la cedula a consultar 
//$CedulaPorConsultar  = "4000042143";

//Inicializar variables que va a retornar
$Nombre              = "";
$tipoIdentificacion = "";


//Actualizacion MH Estos parametros ahora son necesarias  
$arrContextOptions=array(
    "ssl"=>array(
         "verify_peer"=>false,
         "verify_peer_name"=>false,
    ),
); 





//Hacer la peticion al servidor de Hacienda

$jsonConsulta    = file_get_contents("https://api.hacienda.go.cr/fe/ae?identificacion=".$cedula,false, stream_context_create($arrContextOptions));
//decodificar el Json de la petición 
$array = json_decode($jsonConsulta);

//Objetner las variables
    $Nombre              = $array->nombre; 
    $tipoIdentificacion  = $array->tipoIdentificacion;

 
 echo  " Nombre Institucion:"         .$Nombre ."</br>";
 echo  " Tipo Cedula:"                 .$tipoIdentificacion ."</br>";

/***************************CONSULTA CORREO**************************************************************/
$correo_1="";
$correo_2="";
$idConsultar = $cedula;

//Parámetros de autorización para acceder al API
$usuario = '603640114';
$token   = 'pXNhvC8pUaM3HBsrULYK';


$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.hacienda.go.cr/fe/mifacturacorreo?identificacion='.$idConsultar,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'access-user: '.$usuario,
    'access-token: '.$token
  ),
));

$response = curl_exec($curl);

curl_close($curl);
//echo $response;

$data = json_decode($response, true);

$idResultado     = $data["Resultado"]["Identificacion"];
$tipoIdResultado = $data["Resultado"]["TipoIdentificacion"];
$nombreResultado = $data["Resultado"]["Nombre"];

echo $idResultado."<br />";
echo $tipoIdResultado."<br />";
echo $nombreResultado."<br />";
// Correos

$cuantos=0; 
foreach ($data["Resultado"]["Correos"] as $key => $value) {

		if($cuantos==0){
		 $correo_1 = $value["Correo"];

            }
            if($cuantos==1){
            $correo_2 = $value["Correo"];
            }


	$cuantos++;		
			

}




if (!empty($Nombre)) {

				?>
				<script>  pon_prefijo('<?php echo $Nombre?>','<?php echo $correo_1?>','<?php echo $correo_2?>');	</script>
       			 <?php 
			} else {
	
		?>
		<script>
		alert ("Numero de CEDULA no registrado como contribuyente del Ministerio de Hacienda");
		</script>
			
		 <?php

	}
	
	




